import { push, replace } from '../router';
export const linkClickHandler = (event) => {
    const target = event.target.closest('a[href]');
    const href = target?.getAttribute('href') ?? '';
    const isTargetInvalid = target?.nodeName !== 'A';
    if (isTargetInvalid)
        return true;
    href === document.location.pathname ? replace(href) : push(href);
    event.preventDefault();
};
export const linkHandle = (node) => {
    node.addEventListener('click', linkClickHandler);
    return {
        destroy: () => {
            node.removeEventListener('click', linkClickHandler);
        },
    };
};
