import { type Writable } from 'svelte/store';
export type Route = {
    id: number;
    root: boolean;
    fallback: boolean;
    path: string;
    depth: number;
};
export type GetRoute = (id: Route['id'], root: Route['root'], fallback: Route['fallback'], path: Route['path'], contextRoute: Route | null) => Route;
export declare const getRoute: GetRoute;
export type ChildRoutes = {
    subscribe: Writable<Route[]>['subscribe'];
    updateRoute: (id: Route['id'], route: Route | null) => void;
};
export declare const createChildRoutes: () => ChildRoutes;
export type IsRouteActive = (globalPath: string, route: Route, contextChildren: (Route | null)[]) => boolean;
export declare const isRouteActive: IsRouteActive;
